;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░Network░Module░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;
[module/network]
type = internal/network

interface = {{ net_interface }}
interval = 1.0

;ping-interval = 3
;;udspeed-minwidth = 5
accumulate-stats = true
unknown-as-up = true

; Available tags:
;   <label-connected> (default)
;   <ramp-signal>
format-connected = <label-connected>

; Available tags:
;   <label-disconnected> (default)
format-disconnected = <label-disconnected>

; Available tags:
;   <label-connected> (default)
;   <label-packetloss>
;   <animation-packetloss>
;;format-packetloss = <animation-packetloss> <label-connected>

; Available tokens:
;   %ifname%    [wireless+wired]
;   %local_ip%  [wireless+wired]
;   %local_ip6% [wireless+wired]
;   %essid%     [wireless]
;   %signal%    [wireless]
;   %upspeed%   [wireless+wired]
;   %downspeed% [wireless+wired]
;   %linkspeed% [wired]
; Default: %ifname% %local_ip%
;label-connected = "%{A1:networkmanager_dmenu &:}%{A}"
;label-connected = "%{A1:networkmanager_dmenu &:}直%{A}"
label-connected = "%{A1:networkmanager_dmenu &:}說%{A}"
label-connected-font = 3


; Available tokens:
;   %ifname%    [wireless+wired]
; Default: (none)
;label-disconnected = "%{A1:networkmanager_dmenu &:}%{A}"
label-disconnected = "%{A1:networkmanager_dmenu &:}睊%{A}"
label-disconnected-foreground = ${color.fg-alt}
label-disconnected-font = 3

label-connected-padding = 1
label-connected-padding-right = 2
label-disconnected-padding = 1

; Available tokens:
;   %ifname%    [wireless+wired]
;   %local_ip%  [wireless+wired]
;   %local_ip6% [wireless+wired]
;   %essid%     [wireless]
;   %signal%    [wireless]
;   %upspeed%   [wireless+wired]
;   %downspeed% [wireless+wired]
;   %linkspeed% [wired]
; Default: (none)
;label-packetloss = %essid%
;label-packetloss-foreground = #eefafafa

; ramp-signal-0 = 直
; ramp-signal-1 = 直
; ramp-signal-2 = 直
; ramp-signal-3 = 直
; ramp-signal-4 = 直

ramp-signal-0 = 
ramp-signal-1 = 
ramp-signal-2 = 
ramp-signal-3 = 
ramp-signal-4 = 
click-right = {{ apps.networkeditor }} &
